> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Tunnel Endpoint

> Delete a tunnel and disconnect any active clients.

## Rate Limit

100 requests per 60 seconds per user.


## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json delete /api/v1/tunnel/{tunnel_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/tunnel/{tunnel_id}:
    delete:
      tags:
        - Tunnel
      summary: Delete Tunnel Endpoint
      description: Delete a tunnel and disconnect any active clients.
      operationId: delete_tunnel_endpoint_api_v1_tunnel__tunnel_id__delete
      parameters:
        - name: tunnel_id
          in: path
          required: true
          schema:
            type: string
            title: Tunnel Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteTunnelResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteTunnelResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether deletion succeeded
        message:
          type: string
          title: Message
          description: Status message
      type: object
      required:
        - success
        - message
      title: DeleteTunnelResponse
      description: Response for tunnel deletion.
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````